@media only screen and (max-width: 1242px) {

    .car-sort-dropdown {
        width: auto !important;
        background-color: white;
        color: var(--bravoauto-blue);
        border: none;
        padding: 10px 20px;
        border-radius: 44px;
        flex: 0 0 auto;
        font-size: 1.6rem;
    }

    .button-apply {
        width: 8rem !important;
        margin-top: 0rem !important;
    }

    #content-main {
        display: none;
    }

    #toggleButton {
        background-color: white;
        color: var(--bravoauto-blue);
        height: 40px;
        display: block;
        width: 6rem;
        margin: 1rem;
        border-radius: 44px;
        border: 1px solid #C2C2C2;
        font-size: 14px;
    }

    #car-sort {
        background-color: white;
        color: var(--bravoauto-blue);
        height: 40px;
        display: block;
        width: 8rem;
        margin: 1rem;
        border-radius: 44px;
        border: 1px solid #C2C2C2;
        font-size: 14px;
    }

    #car-location {
        background-color: white;
        color: var(--bravoauto-blue);
        height: 40px;
        display: block;
        width: 9rem;
        margin: 1rem;
        margin-right: 2rem;
        border-radius: 44px;
        border: 1px solid #C2C2C2;
        font-size: 14px;
    }

    .input-buttons {
        display: flex;
        flex-direction: column;
    }

        .input-buttons button {
            width: 90vw;
        }

            .input-buttons button:last-child {
                margin-left: 0px;
                margin-bottom: 1rem;
                margin-top: 1rem;
            }

    .buttons-more-filters {
        width: 18rem;
    }

    .popup-make {
        display: none;
        width: 90vw;
        height: 28rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        box-shadow: rgba(0, 0, 0, 0.18) -2px 2px 36px 0px;
        overflow-y: scroll;
    }

    .popup-model {
        display: none;
        width: 90vw;
        height: 28rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        box-shadow: rgba(0, 0, 0, 0.18) -2px 2px 36px 0px;
        overflow-y: scroll;
    }

    .popup-price {
        display: none;
        width: 90vw;
        height: 26rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        box-shadow: rgba(0, 0, 0, 0.18) -2px 2px 36px 0px;
        overflow-y: scroll;
    }

    .popup-age {
        display: none;
        width: 90vw;
        height: 26rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        box-shadow: rgba(0, 0, 0, 0.18) -2px 2px 36px 0px;
        overflow-y: scroll;
    }

    .popup-odemeter {
        display: none;
        width: 90vw;
        height: 26rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        box-shadow: rgba(0, 0, 0, 0.18) -2px 2px 36px 0px;
        overflow-y: scroll;
    }

    .popup-moreFilters {
        display: none;
        width: 90vw;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        box-shadow: rgba(0, 0, 0, 0.18) -2px 2px 36px 0px;
    }

    .popup-body_style {
        display: none;
        width: 90vw;
        margin-left: -1rem;
        margin-bottom: 1rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        overflow-y: scroll;
        height: 15rem;
    }

    .popup-doors {
        display: none;
        width: 90vw;
        margin-left: -1rem;
        margin-bottom: 1rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        overflow-y: scroll;
        height: 9rem;
    }

    .popup-fuel {
        display: none;
        width: 90vw;
        margin-left: -1rem;
        margin-bottom: 1rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        overflow-y: scroll;
        height: 15rem;
    }

    .popup-engine_size {
        display: none;
        width: 90vw;
        margin-left: -1rem;
        margin-bottom: 1rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        overflow-y: scroll;
        height: 15rem;
    }

    .popup-transmission {
        display: none;
        width: 90vw;
        margin-left: -1rem;
        margin-bottom: 1rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        overflow-y: scroll;
        height: 15rem;
    }

    .popup-power_hp {
        display: none;
        width: 90vw;
        margin-left: -1rem;
        margin-bottom: 1rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        overflow-y: scroll;
        height: 15rem;
    }

    .popup-sortBy {
        display: none;
        width: auto;
        margin-bottom: 1rem;
        background-color: #f9f9f9;
        padding: 10px 20px;
        border-radius: 10px;
        border: 1px solid #ccc;
        z-index: 1;
        left: 0; /* Align to the left side of the button */
        top: 100%; /* Position below the button */
        color: #575756;
    }

    #car-sort {
        width: 39vw;
        font-size: 2vh;
    }

    .popup-location {
        display: none;
        width: 26rem;
        margin-left: -16rem;
        margin-top: 0.5rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        height: 29rem;
    }

    .finance-slider {
        width: 80vw;
    }

    .input-buttons button:last-child {
        margin-left: 0px;
        margin-bottom: 1rem;
        margin-top: -1rem;
    }
}

@media only screen and (max-width: 540px) {

    .car-sort-dropdown {
        background-color: white;
        color: var(--bravoauto-blue);
        border: none;
        padding: 5px 10px;
        border-radius: 44px;
        flex: 0 0 auto;
        font-size: 1.5rem;
        width: auto !important;
    }

    .button-apply {
        width: 8rem !important;
        margin-top: 0rem !important;
    }

    .buttons-space {
        display: flex;
        margin: auto;
    }

    .input-buttons button {
        width: 80vw;
    }

    .finance-slider {
        width: 70vw;
    }

    .popup-make {
        display: none;
        width: 80vw;
        height: 28rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        box-shadow: rgba(0, 0, 0, 0.18) -2px 2px 36px 0px;
        overflow-y: scroll;
    }

    .popup-price {
        display: none;
        width: 80vw;
        height: 26rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        box-shadow: rgba(0, 0, 0, 0.18) -2px 2px 36px 0px;
        overflow-y: scroll;
    }

    .finance-options {
        gap: 18px;
        height: fit-content;
        width: fit-content;
        align-items: center;
        background-color: #f5f5f5;
        padding: 6px 10px;
        border-radius: 28px;
        margin-left: 0rem;
        margin-bottom: 4rem;
        margin-top: 1rem;
    }

    .popup-age {
        display: none;
        width: 80vw;
        height: 26rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        box-shadow: rgba(0, 0, 0, 0.18) -2px 2px 36px 0px;
        overflow-y: scroll;
    }

    .popup-odemeter {
        display: none;
        width: 80vw;
        height: 26rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        box-shadow: rgba(0, 0, 0, 0.18) -2px 2px 36px 0px;
        overflow-y: scroll;
    }

    .popup-moreFilters {
        display: none;
        width: 80vw;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        box-shadow: rgba(0, 0, 0, 0.18) -2px 2px 36px 0px;
    }

    .popup-body_style {
        display: none;
        width: 80vw;
        margin-left: -1rem;
        margin-bottom: 1rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        overflow-y: scroll;
        height: 15rem;
    }

    .popup-doors {
        display: none;
        width: 80vw;
        margin-left: -1rem;
        margin-bottom: 1rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        overflow-y: scroll;
        height: 9rem;
    }

    .popup-fuel {
        display: none;
        width: 80vw;
        margin-left: -1rem;
        margin-bottom: 1rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        overflow-y: scroll;
        height: 12rem;
    }

    .popup-engine_size {
        display: none;
        width: 80vw;
        margin-left: -1rem;
        margin-bottom: 1rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        overflow-y: scroll;
        height: 15rem;
    }

    .popup-transmission {
        display: none;
        width: 80vw;
        margin-left: -1rem;
        margin-bottom: 1rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        overflow-y: scroll;
        height: 15rem;
    }

    .popup-power_hp {
        display: none;
        width: 80vw;
        margin-left: -1rem;
        margin-bottom: 1rem;
        background-color: #f9f9f9;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        overflow-y: scroll;
        height: 15rem;
    }

    .input-buttons button:last-child {
        margin-left: 0px;
        margin-bottom: 1rem;
        margin-top: -1rem;
    }
}

@media (min-width: 0px) and (max-width: 575px) {

    .banner-title {
        font-size: 2.5rem;
        line-height: 24px;
        /*margin-top: -1rem;*/
    }
}

@media (min-width: 576px) and (max-width: 769px) {

    .banner-title {
        font-size: 4rem;
        line-height: 37px;
        /*margin-top: -1rem;*/
    }
}

@media (min-width: 769px) and (max-width: 990px) {

    .banner-title {
        font-size: 2.2rem;
        line-height: 0px;
        /*margin-top: 1.6rem;*/
    }

    .banner .banner-content h2 {
        font-size: 2rem;
        line-height: 2rem;
        /*  margin-top: 2rem;*/
    }

    .primary-banner-button {
        padding: 1vw 2vw;
        font-size: 1rem;
        margin-top: 4rem;
    }

    .secondary-banner-button {
        padding: 1vw 2vw;
        font-size: 1rem;
        margin-top: 4rem;
    }

    /*.banner .banner-content {
  transform: translate(0%, -11%);
}*/
}

@media (min-width: 990px) and (max-width: 1990px) {

    .banner .banner-content {
        position: absolute;
        /*    top: -5%;*/
        left: 5%;
        transform: translate(0%, 5%);
        color: #fff;
        text-align: left;
        max-width: 100%;
    }
}

@media only screen and (min-width: 541px) and (max-width: 1242px) {

    .buttons-space {
        display: flex;
        margin: auto;
    }
}
